Fan outs
Prompts with the fanout queries their answers ran.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidengines?stringComma-separated engine slugs
length <= 500types?stringComma-separated prompt types
length <= 200intents?stringComma-separated prompt intents
length <= 200from?stringAnswered on or after this UTC date; omit for all time
^\d{4}-\d{2}-\d{2}$to?stringAnswered on or before this UTC date; omit for today
^\d{4}-\d{2}-\d{2}$q?stringMatches the query or prompt text
length <= 200sort?string"occurrences""occurrences""found"order?string"desc""asc""desc"page?integer1 <= value1pageSize?integer1 <= value <= 50025One page of prompts with fanouts
application/jsonitems*array<>total*integerpage*integerpageSize*integercurl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/fanouts/prompts'{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "type": "string", "intent": "string", "visibility": 0, "fanouts": 0, "found": "2019-08-24T14:15:22Z", "queries": [ { "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "query": "string", "engine": "string", "answeredAt": "2019-08-24T14:15:22Z" } ] } ], "total": 0, "page": 0, "pageSize": 0}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/fanouts/prompts'{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"text": "string",
"type": "string",
"intent": "string",
"visibility": 0,
"fanouts": 0,
"found": "2019-08-24T14:15:22Z",
"queries": [
{
"responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",
"query": "string",
"engine": "string",
"answeredAt": "2019-08-24T14:15:22Z"
}
]
}
],
"total": 0,
"page": 0,
"pageSize": 0
}